Deskhero Developer Hub
Back to deskhero.com
Categories

Get one by key

Returns one category resolved from its unique_key, which is trimmed and lowercased before the lookup; otherwise identical to fetching it by id.

GET /api/{tenant:minlength(2)}/v{version:apiVersion}/categories/key/{unique_key}
Authorisation
Minimum role: USER

Request arguments

Name Type Source
unique_keyString
Request body example

Response

Status
200 (OK)
Type
DTO_category
Wrapper
DTO_response_wrap
Other statuses
400 (BadRequest), 403 (Forbidden)
Response body example
DTO_category
NameTypeReadOnlyDescription
created_byDTO_reference_userReadOnlyCreated by
last_updated_byDTO_reference_userReadOnlyLast updated by
childrenDTO_category[]ReadOnlyChildren
idInt32ReadOnlyLeave empty when Creating object
parent_idInt32Parent id
nameStringName
name_pathString[]ReadOnlyName path
unique_keyStringUnique key
descriptionStringDescription
visibilityENUM category_visibilityVisibility
icon_idInt32Icon id
icon_fileStringReadOnlyIcon file
createdDateTimeReadOnlyCreated
last_updatedDateTimeReadOnlyLast updated
DTO_reference_user
NameTypeReadOnlyDescription
profile_picStringReadOnlyProfile pic
emailStringReadOnlyEmail
idInt32Id
labelObjectReadOnlyLabel
DTO_category
NameTypeReadOnlyDescription
created_byDTO_reference_userReadOnlyCreated by
last_updated_byDTO_reference_userReadOnlyLast updated by
childrenDTO_category[]ReadOnlyChildren
idInt32ReadOnlyLeave empty when Creating object
parent_idInt32Parent id
nameStringName
name_pathString[]ReadOnlyName path
unique_keyStringUnique key
descriptionStringDescription
visibilityENUM category_visibilityVisibility
icon_idInt32Icon id
icon_fileStringReadOnlyIcon file
createdDateTimeReadOnlyCreated
last_updatedDateTimeReadOnlyLast updated
ENUM category_visibility
ValueNameDescription
0UNKNOWNUNKNOWN
1INTERNALINTERNAL
2HELP_CENTERHELP CENTER

Generated Aug 4, 2026 18:37